Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
shuffle.hpp File Reference

## Functions
template<typename I , typename S , typename Gen = detail::default_random_engine &>
I | ranges::shuffle (I const first, S const last, Gen &&gen=detail::get_random_engine())
| function template `shuffle` More...
template<typename Rng , typename Gen = detail::default_random_engine &>
borrowed_iterator_t< Rng > | ranges::shuffle (Rng &&rng, Gen &&rand=detail::get_random_engine())
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...